import com.imsl.chart.*;

public class SampleGrid extends JFrameChart {

    public SampleGrid() {        
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        
        axis.getAxisX().getGrid().setPaint(true);
        axis.getAxisY().getGrid().setPaint(true);
        axis.getAxisX().getGrid().setLineColor("lightgray");
        axis.getAxisY().getGrid().setLineColor("pink");
  
        double y[] = {4, 6, 2, 1, 8};
        Data data = new Data(axis, y);
        data.setDataType(Data.DATA_TYPE_LINE);
        data.setLineColor("blue");
    }
    
    public static void main(String argv[]) {
        new SampleGrid().setVisible(true);
    }
}